//-----------------------------------------------------------------------------
//   File:      encoder.h
//   Contents:  Encoder  constants, macros, datatypes, globals, and library
//            function prototypes.
//
//   Copyright (c) 2020 E-CNSULT, LLC, All rights reserved
//-----------------------------------------------------------------------------
#ifndef encoder_H     //Header sentry
#define encoder_H


#define		GENERAL_CONFIG  0x00
#define		ENCODER_STATUS 0x01
#define		DATA_COUNTER_BYTE4  0x02
#define		DATA_COUNTER_BYTE2	0x04
#define		DATA_COUNTER_BYTE1  0x05
#define		DATA_MAX_BYTE4  0x06
#define		DATA_MIN_BYTE4 0x0A
#define		LED_GREEN 0x0E
#define		LED_RED 0x0F

/* Encoder configuration bit */
#define INTE_ENABLE		0x01
#define INTE_DISABLE	0x00

#define LEDE_ENABLE		0x02
#define LEDE_DISABLE	0x00

#define WRAP_ENABLE		0x04
#define WRAP_DISABLE	0x00


#define DIRE_LEFT		  0x08
#define DIRE_RIGHT		0x00

#define IPUP_DISABLE  0x10
#define IPUP_ENABLE 	0x00

#define RMOD_X2			0x20
#define RMOD_X1			0x00

#define RESET			0x80

/* Encoder status bit    */
#define E_PUSH 0x01
#define E_INCREMENT 0x02
#define E_DECREMENT 0x04
#define E_MAXVALUE 0x08
#define E_MINVALUE 0x10

// LED ON/OFF
#define LED_OFF 0x00
#define LED_ON  0xFF

#define INCREASE			0x01
#define DECREASE			0x00

#define DIG_IO_ADDR   0x20

#define MTR_IN			0xFE
#define MTR_OUT			0xFD
#define MTR_OFF			0xFB

#endif